Skip to content
Start here

List extensions

registrar.extensions.list(ExtensionListParams**kwargs) -> SyncCursorPagination[ExtensionListResponse]
GET/accounts/{account_id}/registrar/extensions

Returns metadata and JSON Schema documents describing the expected input structure for registration operations on each supported extension (TLD).

This endpoint uses cursor-based pagination. Results are ordered by extension name by default. To fetch the next page, pass the cursor value from the result_info object in the response as the cursor query parameter in your next request. An empty cursor string indicates there are no more pages.

Supports HTTP conditional GET via ETag. Include the ETag value from a previous response in an If-None-Match header to receive a 304 Not Modified when the data has not changed.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
cursor: Optional[str]

Opaque token from a previous response’s result_info.cursor. Pass this value to fetch the next page of results. Omit (or pass an empty string) for the first page.

maxLength256
direction: Optional[Literal["asc", "desc"]]

Sort direction for results. Defaults to ascending order.

One of the following:
"asc"
"desc"
name: Optional[str]

Filter extensions by exact name match. For example, name=com returns only the com extension.

per_page: Optional[int]

Number of items to return per page.

maximum50
minimum1
sort_by: Optional[Literal["name", "created_at", "updated_at"]]

Column to sort results by. Defaults to name when omitted.

One of the following:
"name"
"created_at"
"updated_at"
ReturnsExpand Collapse
class ExtensionListResponse:

Extension entry with metadata and JSON Schema documents for the registration operation.

metadata: Metadata

Extension metadata

name: str

The full name of the extension. For example, “co.uk”, or “uk”

tld: str

The tld of the extension. For example, for “co.uk”, it’s “uk”. For “uk”, it’s “uk”

registration_schema: object

JSON Schema describing the expected input structure for registration operations on this extension.

List extensions

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.registrar.extensions.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.metadata)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "metadata": {
        "name": "name",
        "tld": "tld"
      },
      "registration_schema": {}
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "metadata": {
        "name": "name",
        "tld": "tld"
      },
      "registration_schema": {}
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  }
}